package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.GoodsCart;

/**
 * 购物车Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface GoodsCartMapper 
{
    /**
     * 查询购物车
     * 
     * @param id 购物车主键
     * @return 购物车
     */
    public GoodsCart selectGoodsCartById(Integer id);

    /**
     * 查询购物车列表
     * 
     * @param goodsCart 购物车
     * @return 购物车集合
     */
    public List<GoodsCart> selectGoodsCartList(GoodsCart goodsCart);

    /**
     * 新增购物车
     * 
     * @param goodsCart 购物车
     * @return 结果
     */
    public int insertGoodsCart(GoodsCart goodsCart);

    /**
     * 修改购物车
     * 
     * @param goodsCart 购物车
     * @return 结果
     */
    public int updateGoodsCart(GoodsCart goodsCart);

    /**
     * 删除购物车
     * 
     * @param id 购物车主键
     * @return 结果
     */
    public int deleteGoodsCartById(Integer id);

    /**
     * 批量删除购物车
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGoodsCartByIds(Integer[] ids);
}
